Skip to content

upsertProcess

DESTRUCTIVE

Upsert process.

POST /api/v1/resources/upsertProcess
curl -X POST '<your-host>/api/v1/resources/upsertProcess' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "string",
    "processType": "Process",
    "_operation": "create"
  }'
Response
{
  "id": "string"
}

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
"Process""Assembly""Inspection""Outside Processing"
"must""guide""ignore"
"must""guide""ignore"
"must""guide""ignore"
"must""guide""ignore"
"must""guide""ignore"
"must""guide""ignore"
"must""guide""ignore"
"Sequential""Simultaneous"
"Hours/Piece""Hours/100 Pieces""Hours/1000 Pieces""Minutes/Piece""Minutes/100 Pieces""Minutes/1000 Pieces""Pieces/Hour""Pieces/Minute""Seconds/Piece""Total Hours""Total Minutes"

Input schema

schema
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1
    },
    "processType": {
      "type": "string",
      "enum": [
        "Process",
        "Assembly",
        "Inspection",
        "Outside Processing"
      ]
    },
    "defaultStandardFactor": {
      "type": "string",
      "enum": [
        "Hours/Piece",
        "Hours/100 Pieces",
        "Hours/1000 Pieces",
        "Minutes/Piece",
        "Minutes/100 Pieces",
        "Minutes/1000 Pieces",
        "Pieces/Hour",
        "Pieces/Minute",
        "Seconds/Piece",
        "Total Hours",
        "Total Minutes"
      ]
    },
    "workCenters": {
      "type": "array",
      "items": {
        "type": "string",
        "minLength": 1
      }
    },
    "completeAllOnScan": {
      "type": "boolean"
    },
    "batchable": {
      "type": "boolean"
    },
    "batchType": {
      "default": "Sequential",
      "type": "string",
      "enum": [
        "Sequential",
        "Simultaneous"
      ]
    },
    "requiresAbility": {
      "type": "boolean"
    },
    "batchRuleItem": {
      "type": "string",
      "enum": [
        "must",
        "guide",
        "ignore"
      ]
    },
    "batchRuleSubstance": {
      "type": "string",
      "enum": [
        "must",
        "guide",
        "ignore"
      ]
    },
    "batchRuleGrade": {
      "type": "string",
      "enum": [
        "must",
        "guide",
        "ignore"
      ]
    },
    "batchRuleDimension": {
      "type": "string",
      "enum": [
        "must",
        "guide",
        "ignore"
      ]
    },
    "batchRuleForm": {
      "type": "string",
      "enum": [
        "must",
        "guide",
        "ignore"
      ]
    },
    "batchRuleFinish": {
      "type": "string",
      "enum": [
        "must",
        "guide",
        "ignore"
      ]
    },
    "batchRuleProducedItem": {
      "type": "string",
      "enum": [
        "must",
        "guide",
        "ignore"
      ]
    },
    "customFields": {},
    "id": {
      "type": "string"
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "name",
    "processType",
    "_operation"
  ]
}